Create BalanceChargeSchedule
Create a new BalanceChargeSchedule.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
UUID of the balance
Body
The name of the Balance Charge Schedule.
1 - 200Unique short code for the Balance Charge Schedule.
1 - 80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$The currency of the Charges created by the Balance Charge Schedule.
The service period start date (in ISO-8601 format) of the Balance Charge Schedule.
The service period end date (in ISO-8601 format) of the Balance Charge Schedule.
How often Bills are issued. For example, if billFrequency is MONTHLY and billFrequencyInterval is 3, Bills are issued every three months.
1 <= x <= 365Used to specify how Charges created by the Balance Charge Schedule are billed - either in arrears or in advance:
- Use
falsefor billing in arrears. - Use
truefor billing in advance.
The description for Charges created by the Balance Charge Schedule. Used on Bills for Charge line items.
1The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level, customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The amount of each Charge created by the Balance Charge Schedule. Must be omitted if units and unitPrice are provided.
x >= 0Number of units defined for the Charges created by the Schedule. Required when unitPrice is provided. Must be omitted when amount is used.
Unit price for Charge. Must be provided when units is used. Must be omitted when amount is used.
Specify a billing cycle date (in ISO-8601 format) for when the first Bill is created for Balance Charges created by the Schedule, and also acts as a reference for when in the Schedule period subsequent Bills are created for the defined billFrequency. If left blank, then the relevant Epoch date from your Organization's configuration will be used as the billing cycle date instead.
Response
Return the created BalanceChargeSchedule
The UUID of the entity.
The description for Charges created by the Balance Charge Schedule. Used on Bills for Charge line items.
1The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level,customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The unique identifier (UUID) for the Balance this Balance Charge Schedule was created for.
The name of the Balance Charge Schedule.
Unique short code for the Balance Charge Schedule.
The amount of each Charge created by the Balance Charge Schedule.
Number of units. If the Charge was created with amount only, then will be null.
Unit price. If the Charge was created with amount only, then will be null.
The currency of the Charges created by the Balance Charge Schedule.
The service period start date (in ISO-8601 format) of the Balance Charge Schedule.
The service period end date (in ISO-8601 format) of the Balance Charge Schedule.
Specifies a billing cycle date (in ISO-8601 format) for when the first Bill is generated for Balance Charges created by the Schedule, and also acts as a reference for when in the Schedule period subsequent Bills are created for the defined billFrequency. If blank, then the relevant Epoch date from your Organization's configuration is used.
How often Bills are issued. For example, if billFrequency is MONTHLY and billFrequencyInterval is 3, Bills are issued every three months.
Specifies how Charges created by the Balance Charge Schedule are billed - either in arrears or in advance:
- If
falsethen billing is in arrears. - If
truethen billing is in advance.
The date and time (in ISO-8601 format) when the Balance Charge Schedule was created.
The date and time (in ISO-8601 format) when the Balance Charge Schedule was last modified.
The unique identifier (UUID) of the user who created the Balance Charge Schedule.
The unique identifier (UUID) for the user who last modified the Balance Charge Schedule.
The date and time (in ISO-8601 format) when the next Charge will be created by the Balance Charge Schedule.
The date and time (in ISO-8601 format) when the previous Charge was generated by the Balance Charge Schedule.